@charset "UTF-8";

:root{
    --base-color: green;
    --sub-color: mediumseagreen;
    --light-color: honeydew;
}

*{
    margin: 0;
    padding: 0;
}
a{
    text-decoration: none;
}
.container{
    max-width: 1280px;
    margin: auto;
}
li{
    list-style: none;
}

h1, h1 img{
    all: initial;
    vertical-align: top;
}
h1 img{
    width: 100%;
}

h2{
    text-align: center;
    margin: 24px auto;
    color: rgb(80,80,80);
}
h2::after{
    content: "";
    display: block;
    width: 50px;
    border-bottom: 6px solid darkorange;
    border-radius: 6px;
    margin: 10px auto 0 auto;
}
h3{
    font-size: 18px;
    color: rgb(70,70,70);
    text-align: center;
    margin: 50px auto 30px auto;
}
h3:before{ content: " － "; }
h3:after{ content: " － "; }

input[type="text"],
input[type="password"],
input[type="tel"],
input[type="file"],
select,
textarea{
    font-size: 16px;
    box-sizing: border-box;
    padding: 5px 5px;
}
input[type="checkbox"]{
    transform: scale(1.3);
    margin: 8px auto;
}

/* ボタンCSS *************************************************/
.bt01{
    all:initial;
    cursor: pointer;
    display: inline-block;
    padding: 5px 12px;
    margin: 5px 10px;
    background-color: chocolate;
    color: white;
    border-radius: 5px;
    box-shadow: 2px 2px 3px rgba(0,0,0,0.5);
}
.bt01:hover{
    opacity: 0.7;
}
.bt01:active{
    box-shadow: 0px 0px 5px rgba(0,0,0,0.5);
    transform: translate(1px,1px);
}
@media screen and (max-width:480px){
    .bt01{
        font-size: 0.8em;
    }
}
/* /ボタンCSS *************************************************/


/* 一覧リストのCSS **********************************************/
#list_header{
    display: flex;
    justify-content: space-between;
}
.list_left, .list_right{
    display: flex;
    align-items: center;
}
/* /一覧リストのCSS *********************************************/


/*会員一覧テーブル（管理画面）*************************************/
table.tb_admin{
    display: table;
    width: 100%;
    margin: auto;
    max-height: 500px;
    overflow-x: scroll;
    overflow-y: scroll;
}
table.tb_admin thead{
    position: sticky;
    top: 0px;
}
table.tb_admin thead th,
table.tb_admin tbody td{
    width: auto;
    white-space: nowrap;
    padding: 5px;
    text-align: center;
}
table.tb_admin tbody td.td_wrap,
table.tb_admin tbody td.biko{
    /* white-space: wrap; */
    width: auto;
    text-align: left;
}
table.tb_admin tbody tr:nth-child(odd){
    background-color: whitesmoke;
}
table.tb_admin tbody tr:nth-child(even){
    background-color: lemonchiffon;
}
table.tb_admin thead th{
    background-color: var(--base-color);
    color: white;
}
table.tb_admin tbody td.biko div{
    display: block;
    height: 1.2em;
    /* overflow-y: hidden; */
}
table.tb_admin tbody tr td button{
    font-size: 24px;
    line-height: 24px;
    padding: 0px 3px;
}
/* /会員一覧テーブル（管理画面）*************************************/


/* header ***************************************************/
header{
    height: auto;
    background-color: var(--base-color);
}
header .container{
    height: 100%;
    box-sizing: border-box;
    padding: 5px 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header h1{
    display: flex;
    align-items: center;
    color: white;
    font-size: 16px;
}
header h1 img{
    max-width: 300px;
}
header nav ul{
    display: flex;
}
header nav ul li{
    margin-left: 20px;
}
@media (max-width:480px){
    header h1{
        flex-wrap: wrap;
        justify-content: space-around;
    }
}
/* /header ***************************************************/


/* main ******************************************************/
main{
    box-sizing: border-box;
    min-height: calc(100vh - 234px);
    margin: 0;
}
/* /main ******************************************************/


/* footer ******************************************************/
footer{
    position: relative;
    bottom: 0;
    min-height: 100px;
    background-color: var(--base-color);
    margin-top: 50px;
}
footer #copyright{
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 0;
    color: white;
    font-size: small;
}
/* /footer ******************************************************/